Home | Tutorials | Wiki | Issues
Ask Your Question
0

DRCSim + Precise + Hydro [closed]

asked 2014-01-21 00:50:27 -0600

davetcoleman gravatar image

updated 2014-01-21 15:20:08 -0600

I'd like to use Atlas in Gazebo with ROS Hydro and Ubuntu 12.04. I have gazebo-current 2.2.1-1 installed from debian and Hydro installed from debian. Next I tried to install DRCSim from source loosely following the Groovy instructions by making a new catkin workspace and cloning

hg clone https://bitbucket.org/osrf/osrf-common

hg clone https://bitbucket.org/osrf/sandia-hand

hg clone https://bitbucket.org/osrf/drcsim

When I compile, I get the error:

/home/dave/ros/wsatlas/src/drcsim/drcsimgazeborosplugins/src/IRobotHandPlugin.cpp: In member function ‘void IRobotHandPlugin::UpdatePIDControl(double)’: /home/dave/ros/wsatlas/src/drcsim/drcsimgazeborosplugins/src/IRobotHandPlugin.cpp:284:32: error: ‘class gazebo::physics::Joint’ has no member named ‘SetUpperLimit’ /home/dave/ros/wsatlas/src/drcsim/drcsimgazeborosplugins/src/IRobotHandPlugin.cpp: In member function ‘void IRobotHandPlugin::SetJointSpringDamper()’: /home/dave/ros/wsatlas/src/drcsim/drcsimgazeborosplugins/src/IRobotHandPlugin.cpp:649:15: error: ‘class gazebo::physics::Joint’ has no member named ‘SetStiffnessDamping’ /home/dave/ros/wsatlas/src/drcsim/drcsimgazeborosplugins/src/IRobotHandPlugin.cpp:666:15: error: ‘class gazebo::physics::Joint’ has no member named ‘SetStiffnessDamping’ /home/dave/ros/wsatlas/src/drcsim/drcsimgazeborosplugins/src/IRobotHandPlugin.cpp:679:12: error: ‘class gazebo::physics::Joint’ has no member named ‘SetStiffnessDamping’ /home/dave/ros/wsatlas/src/drcsim/drcsimgazeborosplugins/src/IRobotHandPlugin.cpp:693:12: error: ‘class gazebo::physics::Joint’ has no member named ‘SetStiffnessDamping’ make[2]: * [drcsim/drcsim_gazebo_ros_plugins/CMakeFiles/IRobotHandPlugin.dir/src/IRobotHandPlugin.cpp.o] Error 1 make[1]: * [drcsim/drcsimgazeboros_plugins/CMakeFiles/IRobotHandPlugin.dir/all] Error 2

It seems its looking for a different version of Gazebo?

Thanks!


Update:

I'm now on default branch for Gazebo and am compiling from source. While running make I get:

/home/dave/ros/ws_gazebo/gazebo/interfaces/player/player.h:22:38: fatal error: libplayercore/playercore.h: No such file or directory

I have libplayercore3.0-dev installed, not sure whats going on.


Update:

There does not appear to be a -I/usr/include/player3.0 when I compile. I do have the file:

/usr/include/player-3.0/libplayercore/playercore.h

The compile flags are:

cd /home/dave/ros/ws_gazebo/gazebo/build/gazebo/gui && /usr/bin/c++   -Dgazebo_gui_EXPORTS -DLIBBULLET_VERSION=0.0 -DQT_GUI_LIB -DQT_CORE_LIB -DQT_NO_DEBUG -g -O2 -mssse3 -msse3 -mfpmath=sse -msse -msse2  -Wall -Wextra -Wno-long-long

-Wno-unused-value -Wno-unused-value -Wno-unused-value -Wno-unused-value -Wfloat-equal -Wshadow -Winit-self -Wswitch-default -Wmissing-include-dirs -pedantic -g -O2 -mssse3 -msse3 -mfpmath=sse -msse -msse2 -fPIC
-I/home/dave/ros/wsgazebo/gazebo/test/gtest/include -I/home/dave/ros/wsgazebo/gazebo -I/home/dave/ros/wsgazebo/gazebo/build -I/home/dave/ros/wsgazebo/gazebo/deps -isystem /usr/include/OGRE/RTShaderSystem -isystem /usr/include/OGRE
-isystem /usr/include/OGRE/Terrain -isystem /usr/include/OGRE/Paging -isystem /usr/include/sdformat-1.4 -I/usr/include/qt4 -I/usr/include/qt4/QtGui -I/usr/include/qt4/QtCore -fPIC -o
CMakeFiles/gazebogui.dir/mocJointControlWidget.cxx.o -c /home/dave/ros/wsgazebo/gazebo/build/gazebo/gui/mocJointControlWidget.cxx

edit retag flag offensive reopen merge delete

Closed for the following reason the question is answered, right answer was accepted by davetcoleman
close date 2014-02-04 23:32:44.249253

1 Answer

Sort by » oldest newest most voted
0

answered 2014-01-21 07:37:44 -0600

Jose Luis Rivero gravatar image

The current drcsim from default needs gazebo 3.0 version (current default branch). Otherwise you will get this error about SetUpperLimit.

edit flag offensive delete link more

Comments

Ok, I'm now on default branch for Gazebo and am compiling from source. While running make I get:

/home/dave/ros/ws_gazebo/gazebo/interfaces/player/player.h:22:38: fatal error: libplayercore/playercore.h: No such file or directory I have libplayercore3.0-dev installed

davetcoleman gravatar imagedavetcoleman ( 2014-01-21 14:30:43 -0600 )edit

You have two options: check that libplayercore/playercore.h is present in your system under /usr/include. If so, compile with VERBOSE=1 and check that there is a -I/usr/include/player3.0 as compiler parameter. In both are right, it should compile. The other option is to get rid of all the player support in gazebo (are you planning on using it?) just uninstall it: sudo apt-get remove libplayer*

Jose Luis Rivero gravatar imageJose Luis Rivero ( 2014-01-21 14:45:54 -0600 )edit

sudo apt-get remove libplayer* fixed the problem, though I added more details in the question, above, and I'd be interested to know why it didn't work with it installed. Perhaps this is a bug that should be worked out in the new Gazebo 3.0?

davetcoleman gravatar imagedavetcoleman ( 2014-01-21 16:03:30 -0600 )edit

Given your details, it could be a bug in the player support. Could you please file a bug in the gazebo bug tracker and assign it to me? Thanks for the complete report Dave.

Jose Luis Rivero gravatar imageJose Luis Rivero ( 2014-01-21 17:27:14 -0600 )edit

Question Tools

Stats

Asked: 2014-01-21 00:50:27 -0600

Seen: 544 times

Last updated: Jan 21 '14